Bug 88820 - e7t POSIX signal2 hangs
Summary: e7t POSIX signal2 hangs
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: HAL (Show other bugs)
(Show other bugs)
Version: 2.0 beta 1
Hardware: arm7 Linux
low
low
Target Milestone: ---
Assignee: Jonathan Larmour
QA Contact: Gary Thomas
URL: http://sources.redhat.com/ml/ecos-dis...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-14 16:21 UTC by Jonathan Larmour
Modified: 2005-10-31 22:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:24:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Larmour 2003-04-14 16:21:36 UTC
Description of problem:

On the E7T (and possibly other ARM7 targets? - haven't tested), the POSIX
signal2 test hangs as follows:

>(gdb) cont
>> Continuing.
>> INFO:<Test 1 - provoke unaligned access - not supported>
>> INFO:<Test 2 - provoke illegal access>

and then nothing. This was originally reported by Chris Garry on ecos-discuss:
http://sources.redhat.com/ml/ecos-discuss/2003-04/msg00234.html

Version-Release number of selected component (if applicable):

2.0 beta1 and current CVS.

How reproducible:

Run posix signal2. CYGPKG_LIBC_SIGNALS signal2 probably does the same.

Comment 1 Alex Schuilenburg 2003-06-20 16:24:48 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=88820


Note You need to log in before you can comment on or make changes to this bug.